﻿/*
The MIT License

Copyright (c) 2009-2010. Carlos Guzmán Álvarez. http://chronoswpf.codeplex.com/

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.
*/

using Chronos.Presentation.MVVM;

namespace Chronos.Modules.Sample
{
    public sealed class CompanyViewModel : WorkspaceWindowViewModel<object>
    {
        #region · Properties ·

        public override string DisplayName
        {
            get { return "Ficha de la Empresa"; }
        }

        public override string NavigationUrl
        {
            get { return Chronos.Modules.Sample.NavigationUrl.CompanyView; }
        }

        #endregion

        #region · Model Data ·

        /// <summary>
        /// There are no comments for Property IdEmpresa in the schema.
        /// </summary>
        public string IdEmpresa
        {
            get;
            set;
        }

        /// <summary>
        /// There are no comments for Property Nombre in the schema.
        /// </summary>
        public string Nombre
        {
            get;
            set;
        }

        /// <summary>
        /// There are no comments for Property Cif in the schema.
        /// </summary>
        public string Cif
        {
            get;
            set;
        }

        /// <summary>
        /// There are no comments for Property IdEpigrafeIae in the schema.
        /// </summary>
        public string IdEpigrafeIae
        {
            get;
            set;
        }

        /// <summary>
        /// There are no comments for Property IdCnae in the schema.
        /// </summary>
        public string IdCnae
        {
            get;
            set;
        }

        /// <summary>
        /// There are no comments for Property NombreComercial in the schema.
        /// </summary>
        public string NombreComercial
        {
            get;
            set;
        }

        /// <summary>
        /// There are no comments for Property IdTipoVia in the schema.
        /// </summary>
        public string IdTipoVia
        {
            get;
            set;
        }

        /// <summary>
        /// There are no comments for Property Direccion in the schema.
        /// </summary>
        public string Direccion
        {
            get;
            set;
        }

        /// <summary>
        /// There are no comments for Property NumeroBloque in the schema.
        /// </summary>
        public string NumeroBloque
        {
            get;
            set;
        }

        /// <summary>
        /// There are no comments for Property Piso in the schema.
        /// </summary>
        public string Piso
        {
            get;
            set;
        }

        /// <summary>
        /// There are no comments for Property Puerta in the schema.
        /// </summary>
        public string Puerta
        {
            get;
            set;
        }

        /// <summary>
        /// There are no comments for Property CodigoPostal in the schema.
        /// </summary>
        public string CodigoPostal
        {
            get;
            set;
        }

        /// <summary>
        /// There are no comments for Property Ciudad in the schema.
        /// </summary>
        public string Ciudad
        {
            get;
            set;
        }

        /// <summary>
        /// There are no comments for Property Provincia in the schema.
        /// </summary>
        public string Provincia
        {
            get;
            set;
        }

        /// <summary>
        /// There are no comments for Property Pais in the schema.
        /// </summary>
        public string Pais
        {
            get;
            set;
        }

        /// <summary>
        /// There are no comments for Property Telefono1 in the schema.
        /// </summary>
        public string Telefono1
        {
            get;
            set;
        }

        /// <summary>
        /// There are no comments for Property Telefono2 in the schema.
        /// </summary>
        public string Telefono2
        {
            get;
            set;
        }

        /// <summary>
        /// There are no comments for Property Fax1 in the schema.
        /// </summary>
        public string Fax1
        {
            get;
            set;
        }

        /// <summary>
        /// There are no comments for Property Fax2 in the schema.
        /// </summary>
        public string Fax2
        {
            get;
            set;
        }

        /// <summary>
        /// There are no comments for Property Www in the schema.
        /// </summary>
        public string DireccionWeb
        {
            get;
            set;
        }

        /// <summary>
        /// There are no comments for Property Email in the schema.
        /// </summary>
        public string Email
        {
            get;
            set;
        }

        #endregion

        #region · Constructors ·

        public CompanyViewModel()
            : base()
        {
        }

        #endregion
    }
}
