﻿/*
The MIT License

Copyright (c) 2009-2010. Carlos Guzmán Álvarez. http://chronoswpf.codeplex.com/

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.
*/

using System;
using System.Runtime.Serialization;
using System.Windows.Input;
using nRoute.Components;
using nRoute.SiteMaps;

namespace Chronos.Presentation.Windows.SiteMaps
{
    /// <summary>
    /// Command based sitemap node
    /// </summary>
    public sealed class CommandSiteMapNode : NavigationNode
    {
        #region · Fields ·

        public ICommand executeCommand;

        #endregion

        #region · Properties ·

        /// <summary>
        /// Gets the execute command.
        /// </summary>
        /// <value>The execute command.</value>
        [IgnoreDataMember]
        public ICommand ExecuteCommand
        {
            get
            {
                if (!this.HasChildNodes && !String.IsNullOrWhiteSpace(this.Url))
                {
                    this.executeCommand = new ActionCommand(() => Execute());
                }

                return this.executeCommand;
            }
        }

        #endregion

        #region · Overriden Methods ·

        /// <summary>
        /// Returns a <see cref="System.String"/> that represents this instance.
        /// </summary>
        /// <returns>
        /// A <see cref="System.String"/> that represents this instance.
        /// </returns>
        public override string ToString()
        {
            return this.Title;
        }

        #endregion
    }
}
