﻿/*
The MIT License

Copyright (c) 2009-2010. Carlos Guzmán Álvarez. http://chronoswpf.codeplex.com/

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.
*/

using Chronos.Presentation.Core.Windows;
using nRoute.Components;

namespace Chronos.Presentation.Core.ViewModel
{
    public interface IWindowViewModel
        : INavigationViewModel
    {
        #region · Commands ·

        /// <summary>
        /// Gets the inquiry data command
        /// </summary>
        ActionCommand InquiryCommand
        {
            get;
        }

        #endregion

        #region · Properties ·

        /// <summary>
        /// Gets or sets the <see cref="Chronos.Presentation.Core.Windows.ViewModeType"/>
        /// </summary>
        ViewModeType ViewMode
        {
            get;
            set;
        }

        /// <summary>
        /// Gets or sets the status message text
        /// </summary>
        string StatusMessage
        {
            get;
            set;
        }

        /// <summary>
        /// Gets or sets the notification message text
        /// </summary>
        string NotificationMessage
        {
            get;
            set;
        }

        #endregion
    }
}
