﻿/*
The MIT License

Copyright (c) <2009> Carlos guzmán Álvarez

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.
*/

using System;

namespace Chronos.Presentation.Windows
{
    /// <summary>
    /// Common interface for items that can be grouped
    /// on the <see cref="Desktop" />; used by <see cref="DesktopItem" />
    /// </summary>
    public interface IGroupable
    {
        #region · Properties ·

        /// <summary>
        /// Gets the item id.
        /// </summary>
        /// <value>The id.</value>
        Guid Id
        {
            get;
        }

        /// <summary>
        /// Gets or sets the item parent id.
        /// </summary>
        /// <value>The parent id.</value>
        Guid ParentId
        {
            get;
            set;
        }

        /// <summary>
        /// Gets or sets a value indicating whether the item is a group.
        /// </summary>
        /// <value><c>true</c> if this instance is group; otherwise, <c>false</c>.</value>
        bool IsGroup
        {
            get;
            set;
        }

        #endregion
    }
}
